mca_set_dma_mode
Prev | MCA Bus DMA | Next

## Name

mca_set_dma_mode — set the DMA mode

## Synopsis

`void mca_set_dma_mode (` | unsigned int | dmanr,
| unsigned int | mode`)`;

## Arguments

`dmanr`

  DMA channel

`mode`

  mode to set

## Description

The DMA controller supports several modes. The mode values you can set are-

`MCA_DMA_MODE_READ` when reading from the DMA device.

`MCA_DMA_MODE_WRITE` to writing to the DMA device.

`MCA_DMA_MODE_IO` to do DMA to or from an I/O port.

`MCA_DMA_MODE_16` to do 16bit transfers.

Prev | Up | Next
mca_set_dma_io | Home | Chapter 13. Firmware Interfaces